# $Revision: 1.14 $, $Date: 2012/02/28 11:10:08 $
Summary:	A High Quality Rendering Engine for C++
Summary(pl.UTF-8):	Silnik renderujący wysokiej jakości dla C++
Name:		agg
Version:	2.5
Release:	6
License:	GPL v2+
Group:		Libraries
Source0:	http://www.antigrain.com/%{name}-%{version}.tar.gz
# Source0-md5:	ddc67cbdc7d51e1ec984c2ac2724c08a
Patch0:		%{name}-depends.patch
URL:		http://www.antigrain.com/
BuildRequires:	SDL-devel
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	freetype-devel
BuildRequires:	libstdc++-devel
BuildRequires:	libtool
BuildRequires:	pkgconfig
BuildRequires:	xorg-lib-libX11-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

# Unresolved symbol: _Z8agg_mainiPPc
%define		skip_post_check_so	libaggplatformsdl.so.*.*.* libaggplatformX11.so.*.*.* libaggplatformsdl.so.*.*.*

%description
Anti-Grain Geometry (AGG) is a general purpose graphical toolkit
written completely in standard and platform independent C++. It can be
used in many areas of computer programming where high quality 2D
graphics is an essential part of the project.

AGG uses only C++ and standard C runtime functions, such as memcpy,
sin, cos, sqrt, etc. The basic algorithms don't even use C++ Standard
Template Library. Thus, AGG can be used in a very large number of
applications, including embedded systems.

%description -l pl.UTF-8
Anti-Grain Geometry (AGG) to toolkit graficzny ogólnego przeznaczenia
napisany całkowicie w standardowym i niezależnym od platformy C++.
Może być używany w wielu zastosowaniach z zakresu programowania gdzie
zasadniczą częścią projektu jest wysokiej jakości grafika 2D.

AGG używa tylko C++ i standardowych funkcji C, takich jak memcpy, sin,
cos, sqrt itp. Podstawowe algorytmy nie używają nawet standardowej
biblioteki C++. W ten sposób AGG może być używany w bardzo wielu
zastosowaniach, także na systemach wbudowanych.

%package devel
Summary:	Support files necessary to compile applications with agg
Summary(pl.UTF-8):	Pliki potrzebne do kompilowania aplikacji z użyciem agg
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	libstdc++-devel
# libaggfontfreetype R: freetype-devel
# libaggplatformX11 R: xorg-lib-libX11-devel
# libaggplatformsdl R: SDL-devel

%description devel
Header and support files necessary to compile applications using agg.

%description devel -l pl.UTF-8
Pliki nagłówkowe i pomocnicze potrzebne do kompilowania aplikacji z
użyciem agg.

%package static
Summary:	Static agg library
Summary(pl.UTF-8):	Statyczna biblioteka agg
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static agg library.

%description static -l pl.UTF-8
Statyczna biblioteka agg.

%prep
%setup -q
%patch0 -p1

%build
%{__libtoolize}
%{__aclocal}
%{__autoheader}
%{__autoconf}
%{__automake}
%configure \
	--disable-gpc

%{__make} -j1

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc authors copying readme
%attr(755,root,root) %{_libdir}/libagg.so.*.*.*
%ghost %{_libdir}/libagg.so.2
%attr(755,root,root) %{_libdir}/libaggfontfreetype.so.*.*.*
%ghost %{_libdir}/libaggfontfreetype.so.2
%attr(755,root,root) %{_libdir}/libaggplatformX11.so.*.*.*
%ghost %{_libdir}/libaggplatformX11.so.2
%attr(755,root,root) %{_libdir}/libaggplatformsdl.so.*.*.*
%ghost %{_libdir}/libaggplatformsdl.so.2

%files devel
%defattr(644,root,root,755)
%{_libdir}/libagg.so
%{_libdir}/libaggfontfreetype.so
%{_libdir}/libaggplatformX11.so
%{_libdir}/libaggplatformsdl.so
%{_libdir}/libagg.la
%{_libdir}/libaggfontfreetype.la
%{_libdir}/libaggplatformX11.la
%{_libdir}/libaggplatformsdl.la
%{_includedir}/agg2
%{_pkgconfigdir}/libagg.pc
%{_aclocaldir}/libagg.m4

%files static
%defattr(644,root,root,755)
%{_libdir}/libagg.a
%{_libdir}/libaggfontfreetype.a
%{_libdir}/libaggplatformX11.a
%{_libdir}/libaggplatformsdl.a

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: agg.spec,v $
Revision 1.14  2012/02/28 11:10:08  glen
- package ghost soname symlinks; verbose files

Revision 1.13  2010/06/03 12:01:11  baggins
- rel 5
- parallel build is not

Revision 1.12  2010/06/03 11:05:21  baggins
- rel 4

Revision 1.11  2008/11/09 17:30:45  arekm
- release 3

Revision 1.10  2007/09/05 11:22:41  baggins
- rel 2

Revision 1.9  2007/05/17 20:56:25  qboosh
- BR+R libstdc++-devel, BR: pkgconfig

Revision 1.8  2007/03/14 14:35:12  qboosh
- sorted BRs

Revision 1.7  2007/03/05 08:05:05  arekm
- rel 1; xorg reqs

Revision 1.6  2007/02/12 21:23:46  glen
- tabs in preamble

Revision 1.5  2007/02/12 00:48:39  baggins
- converted to UTF-8

Revision 1.4  2007/01/26 22:18:48  qboosh
- pl
- don't remove *.la

Revision 1.3  2007/01/23 22:46:11  glen
- extended description from doc/introduction
- License is GPL v2+

Revision 1.2  2007/01/23 22:42:28  glen
- separate -static

Revision 1.1  2007/01/23 22:40:55  glen
- based on fedora cvs spec (http://cvs.fedora.redhat.com/viewcvs/rpms/agg/devel/)
